import { PrivateCaptureModuleName, OverrideState, Logger } from '@scandit/web-datacapture-core';

interface LoadingOptions {
    libraryLocation: string;
    overrideSimdSupport: OverrideState;
    overrideThreadsSupport: OverrideState;
    verifyResponseHash: boolean;
    referredOrigin?: string;
}
declare class ParserLoader {
    moduleName: PrivateCaptureModuleName;
    private loadingOptions;
    private id;
    private constructor();
    static get worker(): Worker;
    static create(loadingOptions: LoadingOptions): ParserLoader;
    load(): Promise<void>;
    setLogLevel(logLevel: Logger.Level): Promise<void>;
    private sendMessage;
}

export { ParserLoader };
